## NMSettingGeneve

NMSettingGeneve — Describes connection properties for GENEVE interfaces

## Functions

NMSetting * | nm_setting_geneve_new ()
guint | nm_setting_geneve_get_id ()
const char * | nm_setting_geneve_get_remote ()
guint | nm_setting_geneve_get_destination_port ()
guint | nm_setting_geneve_get_tos ()
guint | nm_setting_geneve_get_ttl ()
NMSettingGeneveDf | nm_setting_geneve_get_df ()

## Types and Values

#define | NM_SETTING_GENEVE_SETTING_NAME
#define | NM_SETTING_GENEVE_ID
#define | NM_SETTING_GENEVE_REMOTE
#define | NM_SETTING_GENEVE_DESTINATION_PORT
#define | NM_SETTING_GENEVE_TOS
#define | NM_SETTING_GENEVE_TTL
#define | NM_SETTING_GENEVE_DF
enum | NMSettingGeneveDf

## Object Hierarchy

        GEnum
        ╰── NMSettingGeneveDf

## Description

The NMSettingGeneve object is a NMSetting subclass that describes properties necessary for connection to GENEVE interfaces.

## Functions

### nm_setting_geneve_new ()

    NMSetting *
    nm_setting_geneve_new (void);

Creates a new NMSettingGeneve object with default values.

#### Returns

the new empty NMSettingGeneve object.

[transfer full]

Since: 1.58

### nm_setting_geneve_get_id ()

    guint
    nm_setting_geneve_get_id (NMSettingGeneve *setting);

#### Parameters

setting | the NMSettingGeneve |

#### Returns

the “id” property of the setting

Since: 1.58

### nm_setting_geneve_get_remote ()

    const char *
    nm_setting_geneve_get_remote (NMSettingGeneve *setting);

#### Parameters

setting | the NMSettingGeneve |

#### Returns

the “remote” property of the setting

Since: 1.58

### nm_setting_geneve_get_destination_port ()

    guint
    nm_setting_geneve_get_destination_port
                                   (NMSettingGeneve *setting);

#### Parameters

setting | the NMSettingGeneve |

#### Returns

the “destination-port” property of the setting

Since: 1.58

### nm_setting_geneve_get_tos ()

    guint
    nm_setting_geneve_get_tos (NMSettingGeneve *setting);

#### Parameters

setting | the NMSettingGeneve |

#### Returns

the “tos” property of the setting

Since: 1.58

### nm_setting_geneve_get_ttl ()

    guint
    nm_setting_geneve_get_ttl (NMSettingGeneve *setting);

#### Parameters

setting | the NMSettingGeneve |

#### Returns

the “ttl” property of the setting

Since: 1.58

### nm_setting_geneve_get_df ()

    NMSettingGeneveDf
    nm_setting_geneve_get_df (NMSettingGeneve *setting);

#### Parameters

setting | the NMSettingGeneve |

#### Returns

the “df” property of the setting

Since: 1.58

## Types and Values

### NM_SETTING_GENEVE_SETTING_NAME

    #define NM_SETTING_GENEVE_SETTING_NAME "geneve"

### NM_SETTING_GENEVE_ID

    #define NM_SETTING_GENEVE_ID               "id"

### NM_SETTING_GENEVE_REMOTE

    #define NM_SETTING_GENEVE_REMOTE           "remote"

### NM_SETTING_GENEVE_DESTINATION_PORT

    #define NM_SETTING_GENEVE_DESTINATION_PORT "destination-port"

### NM_SETTING_GENEVE_TOS

    #define NM_SETTING_GENEVE_TOS              "tos"

### NM_SETTING_GENEVE_TTL

    #define NM_SETTING_GENEVE_TTL              "ttl"

### NM_SETTING_GENEVE_DF

    #define NM_SETTING_GENEVE_DF               "df"

### enum NMSettingGeneveDf

NMSettingGeneveDf values indicate how the Don't Fragment (DF) flag should be handled in the outer IP header of GENEVE tunnel packets.

#### Members

NM_SETTING_GENEVE_DF_UNSET | Don't set the DF flag, packets may be fragmented. |
NM_SETTING_GENEVE_DF_SET | Always set the DF flag, packets will not be fragmented. |
NM_SETTING_GENEVE_DF_INHERIT | Inherit the DF flag from the inner IP header. |

Since: 1.58